Need Older Version of Music Studio

Hi,

I have an iPod Touch 4th Generation, running iOS 6.1.6. It isn’t able to update anymore as it has maxed out its updates.

From what I can tell, there used to be a Music Studio compatible for my iPod Touch as shown in this link:

https://www.xewton.com/musicstudio/forum/viewtopic.php?f=3&t=55

I would like to purchase and download the last compatible version for my device, but only the most recent version is available on the App Sore, which requires me to have a minimum of iOS 8. Is there a solution for this? I only would like to use this app to control a midi keyboard that’s connected to it to get keyboard sounds and play live. I do not need to record anything.

Thank you for your anticipated help in this matter.

With the June 2015 update to Music Studio 2.6, we had to increase the minimum required iOS version from 5.1 to 7.0 (because of various 3rd party libraries). With the update to Music Studio 2.7 in November 2016, the minimum requirement was increased further, to iOS 8.0.

If we had a choice, we would of course still offer Music Studio 2.5.2 for iOS 5.1. However, Apple manages availability of app versions on the App Store.

There is a possible workaround here, please try it:
http://apple.stackexchange.com/questions/141840/finding-old-versions-of-ios-apps-for-5-1-1-on-a-1st-generation-ipad

If, on your computer, you already upgraded iTunes to version 12.7 or later, the App Store is no longer available in iTunes.
However, you can download the previous versions of iTunes here, where apps from the App Store can still be downloaded:
https://support.apple.com/downloads/itunes-old

I will try it and let you know.

Thank you!

You should be able to download version 2.5 direct from the AppStore

When you try and download MusicStudio you should get a message to the effect that it needs iOS 8 or later but ask if you want to download the last version that works with your iOS version.

Hi,

I deleted iTunes from my computer using an uninstaller software, and then installed an older version (12.6.2) of iTunes. However, after installation, I kept getting the following message when I tried to open it:

“The file “iTunes Library.itl” cannot to be read because it was created by a newer version of iTunes. Would you like to download iTunes now?”

Thanks for your help thus far and any possible further solutions.

We didn’t anticipate this iTunes error message, but it makes sense. A possible workaround might be to move your library (the file “iTunes Library.itl”) to another location so that iTunes cannot find it and creates a new library. Then, download and install/sync Music Studio onto your device.

After that, close iTunes, move the file “iTunes Library.itl” back into the iTunes folder and install the most recent version of iTunes.